com::lomiri::location::service::Interface::Properties::State Struct Reference

`#include <interface.h>`

Collaboration diagram for com::lomiri::location::service::Interface::Properties::State:

## Public Types

typedef com::lomiri::location::service::Interface | Interface
typedef com::lomiri::location::service::State | ValueType

## Static Public Member Functions

static const std::string & | name ()

## Static Public Attributes

static const bool | readable = true
static const bool | writable = true

## Detailed Description

Definition at line 92 of file service/interface.h.

## Member Typedef Documentation

## Interface

typedef com::lomiri::location::service::Interface com::lomiri::location::service::Interface::Properties::State::Interface

Definition at line 103 of file service/interface.h.

## ValueType

typedef com::lomiri::location::service::State com::lomiri::location::service::Interface::Properties::State::ValueType

Definition at line 104 of file service/interface.h.

## Member Function Documentation

## name()

const std::string & com::lomiri::location::service::Interface::Properties::State::name | ( |  | ) |

inline static

Definition at line 94 of file service/interface.h.

## Member Data Documentation

## readable

const bool com::lomiri::location::service::Interface::Properties::State::readable = true

static

Definition at line 105 of file service/interface.h.

## writable

const bool com::lomiri::location::service::Interface::Properties::State::writable = true

static

Definition at line 106 of file service/interface.h.

The documentation for this struct was generated from the following file:

- service/interface.h